LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDialog2 Interface Referencepublished

Makes it possible to end a dialog and set a help id. More...

`import "XDialog2.idl";`

Inheritance diagram for XDialog2:

## Public Member Functions
void | endDialog ([in] long Result)
| hides the dialog and then causes XDialog::execute() to return with the given result value.
void | setHelpId ([in] string Id)
| sets the help id so that the standard help button action will show the appropriate help page.
Public Member Functions inherited from XDialog
void | setTitle ([in] string Title)
| sets the title of the dialog.
string | getTitle ()
| gets the title of the dialog.
short | execute ()
| runs the dialog modally: shows it, and waits for the execution to end.
void | endExecute ()
| hides the dialog and then causes XDialog::execute() to return.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Makes it possible to end a dialog and set a help id.

Since
  OOo 3.0

## Member Function Documentation

## ◆ endDialog()

void endDialog | ( | [in] long | Result | ) |

hides the dialog and then causes XDialog::execute() to return with the given result value.

## ◆ setHelpId()

void setHelpId | ( | [in] string | Id | ) |

sets the help id so that the standard help button action will show the appropriate help page.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDialog2.idl